<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Admin_Requests extends Controller_Environment_Admin
{

    public function before() {
        parent::before();
    }

    public function action_errors() {
        $itemsOnPage = 20; //$_GET['count'];

        $currentPage = $_GET['page'];
        $statusFilter = $_GET['filter'];

        if ($statusFilter != 'all' &&
            $statusFilter != 'closed' &&
            $statusFilter != 'opened' &&
            $statusFilter != 'processed' ) {
            $statusFilter = 'all';
        }

        if ($currentPage == null) {
            $currentPage = 1;
        }
        $offset = ($currentPage - 1) * $itemsOnPage;
        $reports = Model_Support::getReports($this->user->ID, $offset, $itemsOnPage, $statusFilter);
        if ($reports == null) {
            throw new HTTP_Exception_404('Page not found');
        }

        $requestNum = Model_Support::getNumberOfReports($statusFilter);
        $pagesNum = ceil($requestNum / $itemsOnPage);

        $this->twig->set([
            'Requests' => $reports,
            'PagesNum' => $pagesNum,
            'CurrentPage' => $currentPage,
            'PaginationBase' => "admin/requests/errors?filter=" . $statusFilter,
            'Filter' => $statusFilter
        ])->set_filename('admin/requests/errors');
    }

    public function action_setStatus() {
       // Model_Support::setStatus();
    }
}
            
